CREATE TABLE grc_ac_user_bus_obj_attr (
    URI                      VARCHAR2(1600),
    NODE_URI                 VARCHAR2(1600),
    ORDER_SEQ                NUMBER(9, 0)  ,
    DATA_TYPE                VARCHAR2(800)     NOT NULL,
    ATTR_SIZE                NUMBER(10, 0) ,
    IS_HIDDEN                NUMBER(1, 0)      NOT NULL,
    NAME                     VARCHAR2(4000)    NOT NULL,
    LABEL                    VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    URI                      VARCHAR2(1600),
    NODE_URI                 VARCHAR2(1600),
    ORDER_SEQ                NUMBER(9, 0)  ,
    DATA_TYPE                VARCHAR2(800)     NOT NULL,
    ATTR_SIZE                NUMBER(10, 0) ,
    IS_HIDDEN                NUMBER(1, 0)      NOT NULL,
    NAME                     VARCHAR2(4000)    NOT NULL,
    LABEL                    VARCHAR2(4000)    NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_grc_ac_user_bus_obj_attr PRIMARY KEY (URI, NODE_URI, URI, NODE_URI)
);
